#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

# Require > squeeze for libXfixes >= 5.0.

rebuild () {
    tar xjf libXfixes-4.0.5.tar.bz2
    cd libXfixes-4.0.5
    ./configure --prefix=/usr --sysconfdir=/etc/X11 --localstatedir=/var \
	    --datarootdir=/usr/lib --disable-static
    make
    strip -R .note -R .comment src/.libs/libXfixes.so.3
    mkdir -p ../libxfixes3/lib
    cp src/.libs/libXfixes.so.3 ../libxfixes3/lib/
    cd ..
    rm -rf libXfixes-4.0.5
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
